DECLARE @VersionText VARCHAR(100)
DECLARE @MajorVersion INT

SELECT @VersionText = CAST(SERVERPROPERTY('ProductVersion') AS VARCHAR(100))
SELECT @MajorVersion = CAST(SUBSTRING(@VersionText, 1, CHARINDEX('.', @VersionText) - 1) AS INT)

IF (@MajorVersion < 10)
	RAISERROR('SQL Server 2005 is no longer supported for ProGet installations. Visit https://inedo.com/support/kb/1167 for more information.', 16, 1)
