EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'BowerPackages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BowerPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the packages in a Bower feed.'
GO

IF OBJECT_ID('[BowerPackages_GetPackages]') IS NOT NULL
	DROP PROCEDURE [BowerPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BowerPackages_GetPackages]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [BowerPackages]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [BowerPackages_GetPackages] TO [ProGetUser_Role]
GO