EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetLicensingViolations_DeleteAllViolations',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes all license violation entries.'
GO

IF OBJECT_ID('[ProGetLicensingViolations_DeleteAllViolations]') IS NOT NULL DROP PROCEDURE [ProGetLicensingViolations_DeleteAllViolations]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetLicensingViolations_DeleteAllViolations]
AS
BEGIN

SET NOCOUNT ON

	DELETE [ProGetLicensingViolations]

END
GO

GRANT EXECUTE ON [ProGetLicensingViolations_DeleteAllViolations] TO [ProGetUser_Role]
GO